%define mname pygpgme

Name:           python-gpgme
Version:        0.3
Release:        %mkrel 2.1
Summary:        Python module for working with OpenPGP messages
License:        LGPLv2+
Group:          Development/Python
# Original upstream on Launchpad is dead, now maintained on Pagure
URL:            https://pagure.io/pygpgme
Source0:        https://pypi.python.org/packages/source/p/%{mname}/%{mname}-%{version}.tar.gz

# Patches from new upstream
Patch0001:      0001-reflect-2.1-reporting-for-key-imports.patch
Patch0002:      0002-passphrase_cb-is-deprecated.patch
Patch0003:      0003-handle-generic-error-when-no-passphrase-callback-pre.patch
Patch0004:      0004-add-pubkey_algo-and-hash_algo-attributes-to-signatur.patch
Patch0005:      0005-add-ENCRYPT_NO_ENCRYPT_TO-constant.patch
Patch0006:      0006-ignore-STATUS_KEY_CONSIDERED-when-editing.patch


BuildRequires:  pkgconfig(python)
BuildRequires:  gpgme-devel

# Do not check .so files in the pythonX_sitearch directory for provides
%global __provides_exclude_from ^(%{python2_sitearch}/.*\\.so|%{python3_sitearch}/.*\\.so)$

%description
PyGPGME is a Python module that lets you sign, verify, encrypt and decrypt
files using the OpenPGP format.  It is built on top of GNU Privacy Guard and
the GPGME library.

%package -n python3-gpgme
Summary:	Python 3 module for working with OpenPGP messages
Group:		Development/Python
BuildRequires:	pkgconfig(python3)

%description -n python3-gpgme
PyGPGME is a Python 3 module that lets you sign, verify, encrypt and decrypt
files using the OpenPGP format.  It is built on top of GNU Privacy Guard and
the GPGME library.

%prep
%setup -qn %{mname}-%{version}
%apply_patches

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

# No need to ship the tests
rm -rf %{buildroot}%{python2_sitearch}/gpgme/tests/
rm -rf %{buildroot}%{python3_sitearch}/gpgme/tests/

%check
# Use the installed gpgme because it has the built compiled module
mv gpgme gpgme.bak
PYTHONPATH=%{buildroot}%{python2_sitearch} GPG_AGENT_INFO= %{__python2} test_all.py -v || :
PYTHONPATH=%{buildroot}%{python3_sitearch} GPG_AGENT_INFO= %{__python3} test_all.py -v || :


%files
%doc README examples tests
%{python2_sitearch}/*

%files -n python3-gpgme
%doc README examples tests
%{python3_sitearch}/*



%changelog
* Tue Oct 30 2018 adrianomorselli <adrianomorselli> 0.3-2.1uplos2018
- rebuild from mageia
